PHP 7.3 reaches end of support in December 2021 and Adobe Commerce 2.3.x reaches end of support in April 2022. We strongly recommend planning your upgrade now to Adobe Commerce 2.4.x and PHP 7.4.x to help maintain PCI compliance.

Magento_Ui

Purpose of module

The Magento\Ui module introduces a set of common UI components, which could be used and configured via layout XML files.

Deployment

System requirements

The Magento\Ui module does not have any specific system requirements.

Install

The Magento\Ui module is installed automatically (using the native Magento Setup). No additional actions required.